CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-0211

Multiple integer overflows in the (1) fs_get_reply, (2) fs_alloc_glyphs, and (3) fs_read_extent_info functions in X.Org libXfont before 1.4.8 and 1.4.9x before 1.4.99.901 allow remote font servers to execute arbitrary code via a crafted xfs reply, which triggers a buffer overflow.
Publish Date : 2014-05-15 Last Update Date : 2014-07-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 189

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2927-1 libxfont - security update oval:org.mitre.oval:def:24874 unix
RHSA-2014:1870: libXfont security update (Important) oval:com.redhat.rhsa:def:20141870 unix
RHSA-2014:1893: libXfont security update (Important) oval:com.redhat.rhsa:def:20141893 unix
SUSE-SU-2014:0774-1 -- Security update for xorg-x11-libs oval:org.mitre.oval:def:25303 unix
SUSE-SU-2014:0881-1 -- Security update for xorg-x11-libs oval:org.mitre.oval:def:25958 unix
USN-2211-1 -- libxfont vulnerabilities oval:org.mitre.oval:def:24797 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-0211

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 10.04 - LTS Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 12.04 - LTS Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 12.10 Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 13.10 Version Details Vulnerabilities
5 OS Canonical Ubuntu Linux 14.04 LTS Version Details Vulnerabilities
6 Application X Libxfont 1.2.3 Version Details Vulnerabilities
7 Application X Libxfont 1.2.4 Version Details Vulnerabilities
8 Application X Libxfont 1.2.5 Version Details Vulnerabilities
9 Application X Libxfont 1.2.6 Version Details Vulnerabilities
10 Application X Libxfont 1.2.7 Version Details Vulnerabilities
11 Application X Libxfont 1.2.8 Version Details Vulnerabilities
12 Application X Libxfont 1.2.9 Version Details Vulnerabilities
13 Application X Libxfont 1.3.0 Version Details Vulnerabilities
14 Application X Libxfont 1.3.1 Version Details Vulnerabilities
15 Application X Libxfont 1.3.2 Version Details Vulnerabilities
16 Application X Libxfont 1.3.3 Version Details Vulnerabilities
17 Application X Libxfont 1.3.4 Version Details Vulnerabilities
18 Application X Libxfont 1.4.0 Version Details Vulnerabilities
19 Application X Libxfont 1.4.1 Version Details Vulnerabilities
20 Application X Libxfont 1.4.2 Version Details Vulnerabilities
21 Application X Libxfont 1.4.3 Version Details Vulnerabilities
22 Application X Libxfont 1.4.4 Version Details Vulnerabilities
23 Application X Libxfont 1.4.5 Version Details Vulnerabilities
24 Application X Libxfont 1.4.6 Version Details Vulnerabilities
25 Application X Libxfont 1.4.7 Version Details Vulnerabilities
26 Application X Libxfont 1.4.99 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 5
X Libxfont 21

- References For CVE-2014-0211

http://lists.opensuse.org/opensuse-updates/2014-05/msg00073.html
SUSE openSUSE-SU-2014:0711
http://lists.x.org/archives/xorg-announce/2014-May/002431.html
MLIST [xorg-announce] 20140513 [ANNOUNCE] X.Org Security Advisory: Multiple issues in libXfont
http://www.ubuntu.com/usn/USN-2211-1
UBUNTU USN-2211-1
http://www.debian.org/security/2014/dsa-2927
DEBIAN DSA-2927
http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html CONFIRM

- Metasploit Modules Related To CVE-2014-0211

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.